- [HTTP request](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/removeIamPolicy#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/removeIamPolicy#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/removeIamPolicy#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/removeIamPolicy#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/removeIamPolicy#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/removeIamPolicy#body.RemoveIamPolicyResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/removeIamPolicy#body.aspect)
- [Examples](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/removeIamPolicy#examples)
- [Try it!](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/removeIamPolicy#try-it)

Removes the attached IAM policies for a resource

### HTTP request

`POST https://metastore.googleapis.com/v1beta/{resource}:removeIamPolicy`

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` Required. The relative resource name of the dataplane resource to remove IAM policy, in the following form: `projects/{projectId}/locations/{locationId}/services/{serviceId}/databases/{database_id}` or `projects/{projectId}/locations/{locationId}/services/{serviceId}/databases/{database_id}/tables/{table_id}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "asynchronous": boolean } ``` |

| Fields ||
|---|---|
| `asynchronous` | `boolean` Optional. Removes IAM policy attached to database or table asynchronously when it is set. The default is false. |

### Response body

Response message for `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/removeIamPolicy#google.cloud.metastore.v1beta.DataprocMetastore.RemoveIamPolicy`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "success": boolean } ``` |

| Fields ||
|---|---|
| `success` | `boolean` True if the policy is successfully removed. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).